Summary:       Ordered associative arrays for Perl
Name:          perl-Tie-IxHash
Version:       1.23
Release:       7%{?dist}
License:       GPL+ or Artistic
URL:           https://metacpan.org/release/Tie-IxHash
Source0:       https://cpan.metacpan.org/authors/id/C/CH/CHORNY/Tie-IxHash-%{version}.tar.gz

BuildRequires: coreutils make sed
BuildRequires: perl-generators perl-interpreter perl(ExtUtils::MakeMaker) perl(:VERSION) perl(integer)
BuildRequires: perl(strict) perl(Tie::Hash) perl(vars) perl(Test::More) perl(Test::Pod)
BuildArch:     noarch

%description
This Perl module implements Perl hashes that preserve the order in which the hash elements were
added. The order is not affected when values corresponding to existing keys in the IxHash are
changed.  The elements can also be set to any arbitrary supplied order. The familiar perl array
operations can also be performed on the IxHash.

%prep
%autosetup -n Tie-IxHash-%{version}
sed -i -e 's/\r$//' Changes README

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%make_build

%install
%make_install
%{_fixperms} -c %{buildroot}

%check
make test

%files
%doc Changes README
%{perl_vendorlib}/Tie/
%{_mandir}/man3/*.3pm*

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.23-7
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.23-6
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.23-5
- Rebuilt for OpenCloudOS Stream 23.09

* Thu Aug 17 2023 Xiaojie Chen <jackxjchen@tencent.com> - 1.23-4
- Remove perl(:MODULE_COMPAT) which will be generated by perl-generators >= 1.15

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.23-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.23-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Feb 17 2023 Shuo Wang <abushwang@tencent.com> - 1.23-1
- initial build
